All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business
Class LookupList

    com.sas.iquery.metadata.business.LookupList

All Implemented Interfaces:
  Base, ModelItem, UsabilityInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class LookupList

Contains a list of `LookupValue` objects that are used for possible filter values for a data item.

Field Summary

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`LookupList()` Creates an LookupList object with an empty list.
`LookupList(java.util.List values)` Creates an LookupList object with the specified lookup values.
`LookupList(java.util.List values, boolean allowDuplicates)` Creates an LookupList object with the specified lookup values.

Method Summary
`java.util.List` | `getValuesList()` Returns a copy of the list of lookup values.
`void` | `setValuesList(java.util.List values)` Sets the list of `LookupValue` objects as the values.
`void` | `setValuesList(java.util.List values, boolean allowDuplicates)` Sets the list of `LookupValue` objects as the values.

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Constructor Detail

*** This constructor is subject to change. ***

### LookupList

    public LookupList()

  Creates an LookupList object with an empty list.

*** This constructor is subject to change. ***

### LookupList

    public LookupList(java.util.List values)
               throws MetadataException

  Creates an LookupList object with the specified lookup values.

  Throws:
    `java.lang.IllegalArgumentException` - if the specified values list is null.
    `MetadataException` - if one or more of the values in the lookup values list are not LookupValue objects.

*** This constructor is subject to change. ***

### LookupList

    public LookupList(java.util.List values,
                      boolean allowDuplicates)
               throws MetadataException

  Creates an LookupList object with the specified lookup values.

  Parameters:
    `values` - List of values
    `allowDuplicates` - Boolean to indicate whether to allow duplicates in the list.
  Throws:
    `java.lang.IllegalArgumentException` - if the specified values list is null.
    `MetadataException` - if one or more of the values in the lookup values list are not LookupValue objects.

Method Detail

*** This method is subject to change. ***

### setValuesList

    public void setValuesList(java.util.List values)
                       throws MetadataException

  Sets the list of `LookupValue` objects as the values.

  Throws:
    `java.lang.IllegalArgumentException` - if the specified values list is null.
    `MetadataException` - if one or more of the values in the lookup values list are not LookupValue objects.

*** This method is subject to change. ***

### setValuesList

    public void setValuesList(java.util.List values,
                              boolean allowDuplicates)
                       throws MetadataException

  Sets the list of `LookupValue` objects as the values.

  Parameters:
    `values` - List of values
    `allowDuplicates` - Boolean to indicate whether to allow duplicates in the list.
  Throws:
    `java.lang.IllegalArgumentException` - if the specified values list is null.
    `MetadataException` - if one or more of the values in the lookup values list are not LookupValue objects.

*** This method is subject to change. ***

### getValuesList

    public java.util.List getValuesList()

  Returns a copy of the list of lookup values. All the objects in the list are of type `LookupValue`.

  Returns:
    the list of lookup values.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.